Package org.apache.sling.feature.cpconverter.handlers

## Class RepPrincipalPolicyEntryHandler

- java.lang.Object
- - org.apache.sling.feature.cpconverter.handlers.RepPrincipalPolicyEntryHandler

All Implemented Interfaces:
  `EntryHandler`

    public final class RepPrincipalPolicyEntryHandler
    extends Object

### Field Summary

Fields
`protected org.slf4j.Logger` `logger`

### Constructor Summary

Constructors
`RepPrincipalPolicyEntryHandler()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected String` `extractTargetRunMode​(String path, ContentPackage2FeatureModelConverter converter, String runMode, String runModeMatch)`
`protected @NotNull Pattern` `getPattern()`
`void` `handle​(@NotNull String path, @NotNull org.apache.jackrabbit.vault.fs.io.Archive archive, org.apache.jackrabbit.vault.fs.io.Archive.Entry entry, @NotNull ContentPackage2FeatureModelConverter converter, String runMode)`
`boolean` `matches​(@NotNull String path)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.sling.feature.cpconverter.handlers.EntryHandler

`handle, withConfig`

### Field Detail

#### logger

    protected final org.slf4j.Logger logger

### Constructor Detail

#### RepPrincipalPolicyEntryHandler

    public RepPrincipalPolicyEntryHandler()

### Method Detail

#### handle

    public void handle​(@NotNull
                       @NotNull String path,
                       @NotNull
                       @NotNull org.apache.jackrabbit.vault.fs.io.Archive archive,
                       @NotNull
                       org.apache.jackrabbit.vault.fs.io.Archive.Entry entry,
                       @NotNull
                       @NotNull ContentPackage2FeatureModelConverter converter,
                       String runMode)
                throws IOException

Throws:
  `IOException`

#### matches

    public final boolean matches​(@NotNull
                                 @NotNull String path)

Specified by:
  `matches` in interface `EntryHandler`

#### getPattern

    @NotNull
    protected final @NotNull Pattern getPattern()

#### extractTargetRunMode

    protected String extractTargetRunMode​(String path,
                                          ContentPackage2FeatureModelConverter converter,
                                          String runMode,
                                          String runModeMatch)